%define oversion 2.3.4
%define libname %mklibname qtwebkit 4
%define libnamedev %mklibname qtwebkit 4 -d
%define major 4

Name:  qtwebkit
Summary: Qt WebKit bindings
Group: System/Libraries
Version: 4.8.6
Release: %mkrel 3
License: LGPLv2 with exceptions or GPLv3 with exceptions
URL: http://trac.webkit.org/wiki/QtWebKit
Source0: http://download.kde.org/stable/%{name}-2.3/%{version}/src/%{name}-%{oversion}.tar.xz
Patch1: qt-5.1.0-bison_fixes-1.patch
Patch2: qtwebkit-2.3-debuginfo.patch
Patch3: qtwebkit-2.3-save_memory.patch
Patch4: webkit-qtwebkit-23-private_browsing.patch
Patch5: qtwebkit-g++-5.0-build.patch

BuildRequires: gperf

%description
Qt WebKit library is an open source web browser engine.

#------------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Qt Webkit 2.3 Library
Group:          System/Libraries
Provides:       qtwebkit

%description -n %{libname}

This package provides the runtime library for %{name}.

%files -n %{libname}
%{_qt4_libdir}/libQtWebKit.so.%{major}*
%{_qt4_importdir}/QtWebKit/

#------------------------------------------------------------------------------


%package -n     %{libnamedev}
Summary:        Qt Webkit 2.3 Development Files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       qt4-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files to build applications against Qt Webkit 2.3.x

%files -n %{libnamedev}
%{_qt4_datadir}/mkspecs/modules/qt_webkit.pri
%{_qt4_includedir}/QtWebKit/
%{_qt4_libdir}/libQtWebKit.prl
%{_qt4_libdir}/libQtWebKit.so
%{_qt4_libdir}/pkgconfig/QtWebKit.pc

#------------------------------------------------------------------------------

%prep
%setup -q -c
%apply_patches

%build 
PATH="%{_qt4_bindir}:$PATH"; export PATH
QTDIR=%{_qt4_prefix}; export QTDIR

Tools/Scripts/build-webkit \
  --qt \
  --release \
  --3d-rendering \
  --qmakearg="CONFIG+=production_build DEFINES+=HAVE_LIBWEBP=1 QMAKE_CFLAGS=\"%{optflags}\" QMAKE_CXXFLAGS=\"%{optflags}\" QMAKE_LFLAGS=\"%{?ldflags}\" QMAKE_STRIP=" \
  --makeargs="%{_smp_mflags}" \
%ifarch %{ix86}
  --no-force-sse2
%endif
  
%install
rm -rf %buildroot
%make_install -C WebKitBuild/Release INSTALL_ROOT=%{buildroot}

# Remove rpath
chrpath --list   %{buildroot}%{_qt4_libdir}/libQtWebKit.so.4.10.? ||:
chrpath --delete %{buildroot}%{_qt4_libdir}/libQtWebKit.so.4.10.? ||:

pushd %{buildroot}%{_libdir}/pkgconfig
grep -v "^Libs.private:" QtWebKit.pc > QtWebKit.pc.new && \
mv QtWebKit.pc.new QtWebKit.pc
popd


%changelog
* Mon Mar 04 2019 tex - 4.8.6-3pclos2019
- rebuild against updates

* Thu Dec 07 2017 bb2 <bb2> - 4.8.6-2pclos2017
- rebuild against updates

* Sat Feb 28 2015 bb <bb> 4.8.6-1pclos2015
- update but use external library and name
- it like previous library from the qt4 package
- so upgrades are smooth
